// <- ovde idu include-ovi implementiranih klasa
#include "tst.h"
#include <iostream>
using namespace std;

// forward declare tested types
class Present;
class Toy;
class Sweet;
class Clothes;
class PresentTypeException;
class Package;
class SantaWorkshop;
class OutOfStockException;
class SantaPostOffice;

int main(int argc, char const* argv[]) {
	using namespace std;
	int pts = 0;

	pts += Test1::tst<Present, Toy, Sweet, Clothes>();
	pts += Test2::tst<Present, Toy, Sweet, Clothes>();
	pts += Test3::tst<Present, Toy, Sweet, Clothes>();

	pts += Test4::tst<Present, Toy, Sweet, Clothes, Package>();
	pts += Test5::tst<Present, Toy, Sweet, Clothes, Package>();
	pts += Test6::tst<Present, Toy, Sweet, Clothes, Package>();
	pts += Test7::tst<Present, Toy, Sweet, Clothes, Package, PresentTypeException>();

	pts += Test8::tst<Present, SantaWorkshop>();
	pts += Test9::tst<Present, SantaWorkshop, OutOfStockException>();

	pts += Test10::tst<Package, SantaWorkshop, SantaPostOffice>();
	pts += Test11::tst<Package, SantaWorkshop, SantaPostOffice>();
	pts += Test12::tst<Package, SantaWorkshop, SantaPostOffice>();
	pts += Test13::tst<Package, SantaWorkshop, SantaPostOffice>();
	
	std::cout << "Points: " << pts << std::endl;

	return 0;
}
